## GstElementDetails

GstElementDetails — Defines public information about a GstElement

## Synopsis

    struct      GstElementDetails;

## Description

## Details

### struct GstElementDetails

    struct GstElementDetails {

      gchar *longname;              /* long, english name */
      gchar *klass;                 /* type of element, as hierarchy */
      gchar *description;           /* insights of one form or another */
      gchar *author;                /* who wrote this thing? */

      gpointer _gst_reserved[GST_PADDING];
    };

This struct is used to define public information about the element. It describes the element, mostly for the benefit of editors.